Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 438084

Summary: www-servers/apache-2.4 - add auth_form support
Product: Gentoo Linux Reporter: Thomas Stein <himbeere>
Component: Current packagesAssignee: Lars Wendler (Polynomial-C) <polynomial-c>
Status: RESOLVED FIXED    
Severity: enhancement CC: hasufell, mail, oleksandr.trotsenko, tb
Priority: Normal Keywords: NeedPatch
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard: Patches are highly welcome
Package list:
Runtime testing required: ---

Description Thomas Stein 2012-10-12 07:58:23 UTC
Hello.

Could you please add auth_form support to the apache 2.4 ebuild. It's pretty cool, is included in regular apache 2.4 tarball and has no dependencies.

http://httpd.apache.org/docs/2.4/mod/mod_auth_form.html

thanks you.
Comment 1 Thomas Stein 2013-08-05 15:56:31 UTC
Hello.

Any news on that topic?

cheers
t.
Comment 2 Thomas Beutin 2013-12-29 12:41:58 UTC
(In reply to Thomas Stein from comment #0)
> Could you please add auth_form support to the apache 2.4 ebuild. It's pretty
> cool, is included in regular apache 2.4 tarball and has no dependencies.
> 
> http://httpd.apache.org/docs/2.4/mod/mod_auth_form.html

According to http://httpd.apache.org/docs/current/mod/mod_auth_form.html:

"Warning

Form authentication depends on the mod_session modules, and these modules make use of HTTP cookies..."

By now this is not enabled in the apache config, although it's compiled and installed (at least on my system).

Just my 2 cents...
Comment 3 Thomas Stein 2015-02-26 15:04:14 UTC
hello.

any news on this one? I think it's really a small change. 

best regards
Comment 4 chiefelectric 2018-01-03 11:43:13 UTC
Looks like mod_form is still not available in Apache/portage.

[I] www-servers/apache
     Available versions:  (2) 2.2.34 2.4.27-r1 ~2.4.28 ~2.4.29
            {debug doc ldap libressl selinux ssl static suexec threads APACHE2_MODULES="access_compat actions alias asis auth_basic auth_digest authn_alias authn_anon authn_core authn_dbd authn_dbm authn_default authn_file authz_core authz_dbd authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cache_disk cache_socache cern_meta cgi cgid charset_lite dav dav_fs dav_lock dbd deflate dir disk_cache dumpio env expires ext_filter file_cache filter headers http2 ident imagemap include info lbmethod_bybusyness lbmethod_byrequests lbmethod_bytraffic lbmethod_heartbeat log_config log_forensic logio macro mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_fcgi proxy_ftp proxy_html proxy_http proxy_scgi proxy_wstunnel ratelimit remoteip reqtimeout rewrite setenvif slotmem_shm socache_shmcb speling status substitute unique_id unixd userdir usertrack version vhost_alias watchdog xml2enc"
Comment 5 Oleksandr Trotsenko 2018-02-16 16:20:21 UTC
Hello!

I studied a little bit this topic. I might be off in anything I am going to say below.. I am just starting with Gentoo :)

It seems mod_auth_form depends on mod_session. That one, in turn needs at least one of the 2: mod_session_cookie or mod_session_dbd (so it has some means to store the authorization).

If you use mod_session_cookie, then it's a very smart idea to use mod_session_crypto so the data is not written in plain text into browser's cookie.

On the other hand, if you use mod_session_dbd, it needs mod_dbd to be able to leverage a SQL database.

Out of all the modules I mentioned above only mod_dbd is currently present in ebuild of Apache.

I could try to expose the missing apache modules as corresponding USE flags and try to make it work. Do my logic look correct above? (maybe I am about to do some absolutely stupid thing?)
Comment 6 Larry the Git Cow gentoo-dev 2019-08-13 15:14:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e95f88699b07e768974f9e5bb30bfe6735e8fcc

commit 4e95f88699b07e768974f9e5bb30bfe6735e8fcc
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2019-08-13 15:03:57 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-08-13 15:14:25 +0000

    www-servers/apache: add mod_auth_form support
    
    Closes: https://bugs.gentoo.org/438084
    Package-Manager: Portage-2.3.71, Repoman-2.3.17
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 profiles/desc/apache2_modules.desc      |  5 +++++
 www-servers/apache/apache-2.4.41.ebuild | 19 ++++++++++++++-----
 2 files changed, 19 insertions(+), 5 deletions(-)